import request from '@/utils/request'

// 分页查询出入库单据明细列表
export function pageListCkcargo(query) {
  return request({
    url: '/jxc/ckcargo/pageList',
    method: 'get',
    params: query
  })
}

// 分页查询出入库单据明细列表
export function selectTotalWt(query) {
  return request({
    url: '/jxc/ckcargo/selectTotalWt',
    method: 'get',
    params: query
  })
}

// 查询出入库单据明细列表
export function listCkcargo(query) {
  return request({
    url: '/jxc/ckcargo/list',
    method: 'get',
    params: query
  })
}

// 查询出入库单据明细列表
export function pageListByBillCargoWithExpire(query) {
  return request({
    url: '/jxc/ckcargo/pageListByBillCargoWithExpire',
    method: 'get',
    params: query
  })
}

// 查询出入库单据明细详细
export function getCkcargo(id) {
  return request({
    url: '/jxc/ckcargo/' + id,
    method: 'get'
  })
}
export function recallPutBill(id) {
  return request({
    url: '/jxc/ckbill/recallPutBill/' + id,
    method: 'get'
  })
}
export function confirmPutBill(id) {
  return request({
    url: '/jxc/ckbill/confirmPutBill/' + id,
    method: 'get'
  })
}

export function confirmOutBill(id) {
  return request({
    url: '/jxc/ckbill/confirmOutBill/' + id,
    method: 'get'
  })
}
export function recallOutBill(id) {
  return request({
    url: '/jxc/ckbill/recallOutBill/' + id,
    method: 'get'
  })
}

// 新增出入库单据明细
export function addCkcargo(data) {
  return request({
    url: '/jxc/ckcargo',
    method: 'post',
    data: data
  })
}

// 修改出入库单据明细
export function updateCkcargo(data) {
  return request({
    url: '/jxc/ckcargo',
    method: 'put',
    data: data
  })
}

// 删除出入库单据明细
export function delCkcargo(id) {
  return request({
    url: '/jxc/ckcargo/' + id,
    method: 'delete'
  })
}

// 导出出入库单据明细
export function exportCkcargo(query) {
  return request({
    url: '/jxc/ckcargo/' + 'export',
    method: 'post',
    params: query
  })
}

export function queryCkcargo(query) {
  return request({
    url: '/jxc/ckcargo/queryCkcargo',
    method: 'get',
    params: query
  })
}
